Create a booking event type
curl --request POST \
--url https://api.contactbutton.com/v1/workspaces/{workspace}/booking-event-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"duration_minutes": 242,
"timezone": "Europe/Amsterdam",
"availability": [
{
"day_of_week": 4,
"starts_at": "<string>",
"ends_at": "<string>"
}
],
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"description": "<string>",
"buffer_before_minutes": 1,
"buffer_after_minutes": 1,
"minimum_notice_minutes": 1,
"booking_window_days": 183,
"location": "<string>",
"confirmation_mode": "email_otp"
}
'import requests
url = "https://api.contactbutton.com/v1/workspaces/{workspace}/booking-event-types"
payload = {
"name": "<string>",
"duration_minutes": 242,
"timezone": "Europe/Amsterdam",
"availability": [
{
"day_of_week": 4,
"starts_at": "<string>",
"ends_at": "<string>"
}
],
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"description": "<string>",
"buffer_before_minutes": 1,
"buffer_after_minutes": 1,
"minimum_notice_minutes": 1,
"booking_window_days": 183,
"location": "<string>",
"confirmation_mode": "email_otp"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
duration_minutes: 242,
timezone: 'Europe/Amsterdam',
availability: [{day_of_week: 4, starts_at: '<string>', ends_at: '<string>'}],
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
slug: '<string>',
description: '<string>',
buffer_before_minutes: 1,
buffer_after_minutes: 1,
minimum_notice_minutes: 1,
booking_window_days: 183,
location: '<string>',
confirmation_mode: 'email_otp'
})
};
fetch('https://api.contactbutton.com/v1/workspaces/{workspace}/booking-event-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>",
"meta": {
"request_id": "<string>",
"next_cursor": "<string>"
}
}Create a booking event type
POST
/
workspaces
/
{workspace}
/
booking-event-types
Create a booking event type
Authorizations
A Contact Button scoped bearer key. Send Authorization: Bearer <token>.
Token abilities are enforced independently of workspace membership; both checks must pass.
OAuth 2.0 authorization-code flows are not currently available.
Path Parameters
Body
application/json
Required range:
5 <= x <= 480Example:
"Europe/Amsterdam"
Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
1 <= x <= 365Available options:
phone, video, in_person, custom Available options:
email_otp, automatic Related topics
List booking event typesList public booking event typesBookings and callbacksRequest a bookingList available booking slotsWas this page helpful?
⌘I